import request from '@/utils/request'

let baseUrl = 'http://219.147.99.164:8082'
    //街道数据
    // export function getjiedao() {
    //     return request({
    //         url: `${baseUrl}servicecity/app/data-external-release/get-area-info-city-dict?dictParentId=9d179f05-3ea0-48f7-853c-d3b7124b791c`,
    //         method: 'GET',
    //     })
    // }

// export function get() {
//     return request({
//         url: `http://175.24.42.217:9102/servicecity/app/data-external-release/get-report-case-dynamic`,
//         method: 'GET',
//     })
// }
//所有网格
export function getsuoyouwangge() {
    return request({
        url: `${baseUrl}/servicecity/app/data-external-release/list-tree-all-normal-grid`,
        method: 'GET',
    })
}
//专管单位
export function getzhuanguandanwei() {
    return request({
        url: `${baseUrl}/servicecity/app/data-external-release/list-tree-all-dept-grid`,
        method: 'GET',
    })
}
//网格片区
export function getpianqu(nodeId, nodeTag) {
    return request({
        url: `${baseUrl}/servicecity/app/data-external-release/list-map-grid?nodeTag=${nodeTag}&nodeId=${nodeId}`,
        method: 'GET',
    })
}
//案件
export function getanjian() {
    return request({
        url: `${baseUrl}/servicecity/app/data-external-release/list-tree-all-case-type`,
        method: 'GET',
    })
}
//点击案件数  请求数据的接口
export function getanjianinfo(nodeId) {
    return request({
        url: `${baseUrl}/servicecity/app/data-external-release/list-report-info-by-case-id?nodeIds=${nodeId}`,
        method: 'GET',
    })
}
//定位详细信息
export function getdingwei(nodeId) {
    return request({
        url: `${baseUrl}/servicecity/app/data-external-release/list-user-location?nodeIds=${nodeId}`,
        method: 'GET',
    })
}
//大数据页面地图上文本数据
export function getDituInfo() {
    return request({
        url: `${baseUrl}/servicecity/app/data-external-release/list-big-data-map-grid`,
        method: 'GET',
    })
}